
tmap1 <- read.cross("csv", file="testmap1.csv")
map1 = pull.map(tmap1)
plot(map1)

tmap1 <- read.cross("csv", file="testmap2.csv")
map1 = pull.map(tmap1)
plot(map1)

fake1 <- sim.cross(map1, type="f2", n.ind=250, model = rbind(c(1,45,1,1),c(2,20,0.5,-0.5)))

write.cross(fake1, "csv", "test_fakedata")

fake2 <- sim.cross(map1, type="f2", n.ind=250, model = rbind(c(1,45,0.25,0.25),c(2,20,0.5,-0.1)))

write.cross(fake2, "csv", "test_fakedata2")

fake3 <- sim.cross(map1, type="f2", n.ind=250, model = rbind(c(1,45,0.25,-0.25),c(2,20,0.5,-0.1)))

write.cross(fake3, "csv", "test_fakedata3")

fake4 <- sim.cross(map1, type="f2", n.ind=400, model = rbind(c(1,45,0.6,0.6),c(2,20,0.5,-0.5)))

write.cross(fake4, "csv", "test_fakedata4")

#load data and generate main scan example for test_fakedata4

# Loading cross: test_fakedata4
test_fakedata4 <- read.cross(format="csv", file="C:\\Documents and Settings\\rvs\\.j-qtl\\arc1.0\\sample-data\\test_fakedata4.csv", genotypes=c("A", "H", "B", "D", "C"), na.strings=c("-"), alleles=c("A", "B"), convertXdata=TRUE)
# --Read the following data:
#	 400  individuals
#	 43  markers
#	 1  phenotypes
# --Cross type: f2 
> # Calculating conditional genotype probabilities for cross: test_fakedata4 ...

test_fakedata4 <- calc.genoprob(test_fakedata4, step=2.0, off.end=0.0, error.prob=1.0E-4, map.function="haldane", stepwidth="fixed")


> # running scanone on cross: test_fakedata4

test_fakedata4.fake4 <- scanone(cross=test_fakedata4, chr=c(1, 2), pheno.col=c(1), model="normal", method="em")
> # running scanone permutations (this can take a while)
test_fakedata4.fake4.permutations <- scanone(cross=test_fakedata4, chr=c(1, 2), pheno.col=c(1), model="normal", method="em", n.perm=50, perm.Xsp=FALSE, verbose=FALSE)

> # adding an attribute so we know which phenotype(s) this scan came from
attr(test_fakedata4.fake4, "pheno.col") <- c(1)

#simple plot:
plot(test_fakedata4.fake4)

#better plot with the thresholds:
thresh1 <- summary(test_fakedata4.fake4.permutations, alpha=c(0.63, 0.1, 0.05))
thresh1

# plot main scan result ...
plot(test_fakedata4.fake4, main="mainscan plot for chr 1 and 2")
abline(h=thresh1[1], lty="dotted", lwd=1, col="blue")
abline(h=thresh1[2], lty="dotted", lwd=1, col="green")
abline(h=thresh1[3], lty="dotted", lwd=1, col="red")

> # printing scanone interval values
bayesint(results=test_fakedata4.fake4, prob=0.95, chr="1")
#    chr pos      lod
#S22   1  44 19.41047
#S23   1  46 20.15059
#S24   1  48 19.66571
bayesint(results=test_fakedata4.fake4, prob=0.95, chr="2")
#         chr pos      lod
#S60        2  20 13.20432
#c2.loc16   2  22 13.30964
#c2.loc18   2  24 12.45426
 


